<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl">
    <xsl:template match="/rss/channel">
        <html>
            <head>
                <title>
                    <xsl:value-of select="title"/>
                </title>
            </head>
            <body>
                <h2 style="color:Blue;">
                    <xsl:value-of select="title"/>
                </h2>
                <div style="border:1px solid gray;background:yellow;padding:10px;margin-bottom:30px;">
                    <xsl:value-of select="description"/>
                </div>
                <xsl:for-each select="item">
                    <div style="margin-bottom:20px;">
                        <h3 style="margin:0px;">
                            <a>
                                <xsl:attribute name="href">
                                    <xsl:value-of select="link"/>
                                </xsl:attribute>
                                <xsl:value-of select="title"/>
                            </a>
                        </h3>
                        <hr style="height:1px;color:Blue;"/>
                        <div style="color:Gray;">
                            <xsl:value-of select="pubDate"/>
                            | <xsl:value-of select="author"/>
                        </div>
                        <div style="padding:3px;">
                            <xsl:value-of select="description"/>
                        </div>
                    </div>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
